//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SSHADE.CPP 

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include "sfx\sshade.h"

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXShade, TGroupBox);

//	constructor for a TSFXShade object

TSFXShade::TSFXShade(TWindow*        parent,
					 int             id,
					 const char far* text,
					 int x, int y, int w, int h,
					 TModule*        module)
	:TGroupBox(parent, id, text, x, y, w, h, module)
{
	// Do not set the BS_GROUPBOX flag, SFXSHADE doesn't use it.
	Attr.Style = (WS_CHILD | WS_VISIBLE | WS_GROUP | WS_CLIPSIBLINGS)  & ~WS_TABSTOP;
}

//	constructor for a TSFXShade object created from a resource definition

TSFXShade::TSFXShade(TWindow* parent, int resourceId, TModule* module)
	:TGroupBox(parent, resourceId, module)
{
}

char far*
TSFXShade::GetClassName()
{
	return "SFXSHADE";
}

